Get MCP Client Metadata

View as Markdown
  • GET
  • /oauth2
  • /mcp-client.json

Read the client ID metadata document Buddy presents to MCP servers

Request

Response

RESPONSE BODY
client_idstring
The client identifier, equal to the URL of this metadata document
client_namestring
The human-readable name of the client
client_uristring
The URL of the home page of the client
logo_uristring
The URL of the logo of the client
redirect_urisstring[]
The redirection URIs allowed for the client
grant_typesstring[]
The OAuth 2.0 grant types the client may use
response_typesstring[]
The OAuth 2.0 response types the client may use
token_endpoint_auth_methodstring
The authentication method the client uses at the token endpoint

Last modified on Nov 3, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/oauth2/mcp-client.json" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS
200 OK